$(function(){
	
numRand=0;
var n;
var num=0;
var foc=0;
var err=0;
var numLow = 10000;
var numHigh = 99999;
var adjustedHigh = (parseFloat(numHigh) - parseFloat(numLow)) + 1;
var numRand = Math.floor(Math.random()*adjustedHigh) + parseFloat(numLow);
//alert(numRand); 
$("#captcha_img").attr("src","captcha.php?num="+numRand);   



 
$("#app_form,#app_form input[type=text] ,#app_form textarea").bind("submit",function(event){

//alert("Sa");

if(event.type=="submit"){foc=1}




if(foc==1){


err=0;
if($("#comp_name").val()!="" && $("#email").val()!="" && $("#add").val()!=""){
$("#confirm").load("confirm.php",{"comp_name":$("#comp_name").val(),
"email":$("#email").val(),"add":$("#add").val()}
,function(){

if($("#confirm").html()=='faild'){
alert("بيانات هذا الاعلان تم ادخالها من قبل");	
err=1;
}
	
});
}




if($("#captcha_val").length==1){	
if($("#captcha_val").val()!=numRand){
$("#captcha_field_val").html("الرمز غير صحيح");
$("#captcha_field_val").css("background","#FFCECE");
err=1;
}else{
$("#captcha_field_val").html("");	
$("#captcha_field_val").css("background","#fff");
	
}
}


n= $(".required").length;

if(parseInt(n)>0){
for (i=0;i<=n;i++){
xx=parseInt(i);

//alert($(".required").eq(xx).val());
if($(".required").eq(xx).val()=="" ){
if($(".required").eq(xx).next(".field_val").html()=='' ){
$(".required").eq(xx).css("background","#FFCECE");

$(".required").eq(xx).next(".field_val").html("  قم بادخال قيمة*");
}
$(".required").eq(xx).css("background","#FFCECE");
err=1;
}else{
if($(".required").eq(xx).next().html()!=''){
$(".required").eq(xx).next().html("");	
$(".required").eq(xx).css("background","#fff");
}
}

}
}

if($(".confirm1").val()!=$(".confirm2").val()){
$(".confirm2").next().html("كلمة المرور غير متطابقة");
$(".confirm2").css("background","#FFCECE");
err=1;	
}else{
$(".confirm2").next().html("");
$(".confirm2").css("background","#fff");	
}





n= $(".numeric").length;
if(parseInt(n)>0){
for (i=0;i<n;i++){
xx=parseInt(i);

xxx=$.isNumeric($(".numeric").eq(xx).val());

if((xxx==0 && $(".numeric").eq(xx).hasClass('required'))||(xxx==0 && $(".numeric").eq(xx).val()!='') ){
$(".numeric").eq(xx).next().html("  قم بادخال رقم*");

$(".numeric").eq(xx).css("background","#FFCECE");	
//alert("numeric");
err=1;
}else{
if($(".numeric").eq(xx).next().html()!=''){
$(".numeric").eq(xx).next().html("");
$(".numeric").eq(xx).css("background","#fff");	
}
}
}
}


min_status=0;
n= $(".min").length;
if(parseInt(n)>0){
for (i=0;i<n;i++){
xx=parseInt(i);

xxx;
min=parseInt($(".min").eq(xx).attr("min"));
len=parseInt($(".min").eq(xx).val().length);



if(len<min){xxx=0;}else{xxx=1;}

if((xxx==0 && $(".min").eq(xx).hasClass('required'))||(xxx==0 && $(".min").eq(xx).val()!='') ){
$(".min").eq(xx).next().html("  قم بادخال" + min +"رقم");

$(".min").eq(xx).css("background","#FFCECE");	
//alert("numeric");
min_status=1;
err=1;
}else{
//alert("xx"+xx);	
if($(".min").eq(xx).next().html()=="  قم بادخال" + min +"رقم"){
$(".min").eq(xx).next().html("");
$(".min").eq(xx).css("background","#fff");	
min_status=0;
}
}
}
}



n= $(".max").length;
if(parseInt(n)>0){
for (i=0;i<n;i++){
xx=parseInt(i);

xxx;
max=parseInt($(".max").eq(xx).attr("max"));
len=parseInt($(".max").eq(xx).val().length);



if(len>max){xxx=0;}else{xxx=1;}

if((xxx==0 && $(".max").eq(xx).hasClass('required'))||(xxx==0 && $(".max").eq(xx).val()!='') ){
$(".max").eq(xx).next().html("  قم بادخال" + max +"رقم");

$(".max").eq(xx).css("background","#FFCECE");	
//alert("numeric");
err=1;
}else{
//alert("xx"+xx);	
if($(".max").eq(xx).next().html()=="  قم بادخال" + max +"رقم" && min_status==0){
$(".max").eq(xx).next().html("");
$(".max").eq(xx).css("background","#fff");	
}
}
}
}


	


//alert("z");
n= $(".email").length;
if(parseInt(n)>0){
for (i=0;i<n;i++){

var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/ ; 

nn=re.test( $(".email").eq(i).val() );
	
//alert($(".email").eq(i).val() );
//alert(nn);


if(nn==false){
//alert("website");
if($(".email").eq(i).hasClass('required') || $(".email").eq(i).val()!=''){
$(".email").eq(i).next().html("قم بادخال بريد الكترونى صحيح*");

$(".email").eq(i).css("background","#FFCECE");	

err=1;
}


}else{
if($(".email").eq(i).next().html()=='قم بادخال بريد الكترونى صحيح*'){
$(".email").eq(i).next().html("");	
$(".email").eq(i).css("background","#fff");
}
}
}
}




n= $(".website").length;
if(parseInt(n)>0){
for (i=0;i<n;i++){

re = /[-a-zA-Z0-9@:%_\+.~#?&//=]{2,256}\.[a-z]{2,4}\b(\/[-a-zA-Z0-9@:%_\+.~#?&//=]*)?/;


nn=re.test( $(".website").eq(i).val() );
	
//alert($(".website").eq(i).val() );
//alert(nn);


if(nn==false){
//alert("website");
if($(".website").eq(i).hasClass('required') || $(".website").eq(i).val()!=''){
$(".website").eq(i).next().html("قم بادخال رابط صحيح*");

$(".website").eq(i).css("background","#FFCECE");	

err=1;
}


}else{
if($(".website").eq(i).next().html()!=''){
$(".website").eq(i).next().html("");	
$(".website").eq(i).css("background","#fff");
}
}
}
}




n= $(".unique_field").length;

if(parseInt(n)>0){

 $.ajaxSetup({ async: false });

for (i=0;i<n;i++){
xx=parseInt(i);




$.post("ajax_check_unique.php",{"edit":$(".unique_field").eq(xx).attr("edit"), "valuex":$(".unique_field").eq(xx).val(),"field":$(".unique_field").eq(xx).attr("id")},function(data){



//alert(data);

if(data!="done" ){

$(".unique_field").eq(i).next().html("  هذه البيانات مسجلة مسبقا*");
//alert(i);

$(".unique_field").eq(i).css("background","#FFCECE");	
//alert(i-1);	
err=1;
}else{

if($(".unique_field").eq(i).next().html()=='  هذه البيانات مسجلة مسبقا*'){

$(".unique_field").eq(i).next().html("xx");
$(".unique_field").eq(i).css("background","#fff");	
}
}



});


}
}





//alert(err)
if(err==1){
event.preventDefault();	
}


}


});
});
